%global svnrev 13942

Name:           trac-spamfilter-plugin
Version:        1.0.6
Release:        0.21.20150328svn%{svnrev}%{?dist}
Summary:        Spam-Filter plugin for Trac
Group:          Applications/Internet
License:        BSD
URL:            http://trac.edgewall.org/wiki/SpamFilter
Source0:        TracSpamFilter-%{version}dev-r%{svnrev}.tar.bz2
Source1:        pull-from-svn.sh
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-dns
BuildRequires:  python-pillow
BuildRequires:  python-setuptools
BuildRequires:  trac >= 1.0
Requires:       python-dns
Requires:       python-pillow
Requires:       python-setuptools
Requires:       trac >= 1.0

%description
TracSpamFilter is a plugin for Trac (http://trac.edgewall.com/) that provides
an infrastructure for detecting and rejecting spam (or other forms of
illegitimate/unwanted content) in submitted content.

%prep
%setup -n TracSpamFilter-%{version}dev-r%{svnrev} -q

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
 
%files
%doc README.txt
%{python_sitelib}/TracSpamFilter-%{version}dev_r%{svnrev}-py*.egg-info/
%dir %{python_sitelib}/tracspamfilter/
%{python_sitelib}/tracspamfilter/*.py*
%{python_sitelib}/tracspamfilter/captcha/
%{python_sitelib}/tracspamfilter/filters/
%{python_sitelib}/tracspamfilter/fonts/
%{python_sitelib}/tracspamfilter/htdocs/
%{python_sitelib}/tracspamfilter/templates/
%dir %{python_sitelib}/tracspamfilter/locale/
%dir %{python_sitelib}/tracspamfilter/locale/de/
%dir %{python_sitelib}/tracspamfilter/locale/de/LC_MESSAGES/
%lang(de) %{python_sitelib}/tracspamfilter/locale/de/LC_MESSAGES/tracspamfilter.mo
%dir %{python_sitelib}/tracspamfilter/locale/fr/
%dir %{python_sitelib}/tracspamfilter/locale/fr/LC_MESSAGES/
%lang(fr) %{python_sitelib}/tracspamfilter/locale/fr/LC_MESSAGES/tracspamfilter.mo
%dir %{python_sitelib}/tracspamfilter/locale/ko/
%dir %{python_sitelib}/tracspamfilter/locale/ko/LC_MESSAGES/
%lang(ko) %{python_sitelib}/tracspamfilter/locale/ko/LC_MESSAGES/tracspamfilter.mo

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.6-0.21.20150328svn13942
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Mar 31 2015 Paul Howarth <paul@city-fan.org> - 1.0.6-0.20.20150328svn13942
- Update to current svn snapshot
- Drop dependency on orphaned (apparently dead upstream) spambayes

* Mon Feb 16 2015 Paul Howarth <paul@city-fan.org> - 1.0.6-0.19.20150216svn13735
- Update to current svn snapshot
- BuildRequire everything that we Require to avoid unpleasant dependency
  surprises with the built package
- Go to great trouble to set %%lang on translations

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-0.18.20130913svn11796
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 13 2013 Paul Howarth <paul@city-fan.org> - 0.8.0-0.17.20130913svn11796
- Update to current svn snapshot
- Drop PIL import patch, issue fixed upstream

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.3-0.16.20130228svn11702
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Mar  8 2013 Paul Howarth <paul@city-fan.org> - 0.7.3-0.15.20130228svn11702
- Update to trac 1.0 branch
- Fix PIL imports to work with pillow (#896262)
- Require python-pillow rather than python-imaging

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-0.14.20110716svn10756
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.7-0.13.20110716svn10756
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 11 2012 Paul Howarth <paul@city-fan.org> - 0.4.7-0.12.20110716svn10756
- Fedora 17 mass rebuild

* Sun Jul 17 2011 Paul Howarth <paul@city-fan.org> - 0.4.7-0.11.20110716svn10756
- Update to current svn snapshot
  - Various Blogspam timeout fixes
  - Add links to kill spammy users (Upstream #10093)
  - Add proper check for Defensio and python < 2.6 (Upstream #10195)
  - Add cleanup code to remove obsolete captcha db entries
  - Fix issues with different SQL engines (Upstream #10227)
  - Fix wrong argument count in log message (Upstream #10264)
  - Fix possibly uninitialized value (Upstream #10261)
- No need for %%defattr

* Mon Mar 21 2011 Paul Howarth <paul@city-fan.org> - 0.4.7-0.10.20110305svn10633
- Update to current svn snapshot
  - Add BlogSpam service
  - Add Defensio service
- Update pull-from-svn script to set time of tarball to that of last commit
- Drop BuildRoot tag and explicit buildroot cleaning
- No need to define %%{python_sitelib}

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-0.9.20101210svn10366
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 13 2010 Paul Howarth <paul@city-fan.org> - 0.4.3-0.8.20101210svn10366
- Update to current svn snapshot
- Plugin requires trac >= 0.12, so drop EL4 support
- Add dependency on python-dns for DNS blacklist support
- Add dependency on python-imaging for captcha support
- Add pull-from-svn script for creation of tarball

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.2.1-0.7.20090714svn8330
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-0.6.20090714svn8330
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jul 14 2009 Paul Howarth <paul@city-fan.org> - 0.2.1-0.5.20090714svn8330
- Update to rev8330, addresses upstream tickets #6130, #7627, #8032, #8121, #8257

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-0.4.20080603svn6990
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.2.1-0.3.20080603svn6990
- Rebuild for Python 2.6

* Fri Jul 04 2008 Jesse Keating <jkeating@redhat.com> - 0.2.1-0.2.20080603svn6990
- R spambayes

* Tue Jun 03 2008 Jesse Keating <jkeating@redhat.com> - 0.2.1-0.1.20080603svn6990
- Initial packaging

